%% Draw 'LESM' Letters Function
% Input arguments:
%  where: axes where drawing is being made
%  xp: lower left x coordinate of 'LESM'
%  yp: lower left y coordinate of 'LESM'
%  sz: size parameter (height)
%  clr: color (RGB vector)
function LESM_letters(where,xp,yp,sz,clr)
    % Get geometry
    [xL,yL,id] = load_LESM_letters;
    x = sz*xL + xp;
    y = sz*yL + yp;

    % Alpha channel value
    a = 0.7;

    % Plot outline
    plot(where,x,y,'color',[0 0 0]);

    % Fill internal regions
    for i = 1:size(id,1)
        fill(where,x(id(i,1):id(i,2)),y(id(i,1):id(i,2)),clr,'FaceAlpha',a);
    end
end