%------------------------------------------------------------------
% Plots a circle with defined center coordinates, radius and color.
% This method is used to draw hinges on 2D models.
% Input arguments:
%  where: axes where drawing is being made
%  x: center coordinate on the X axis
%  y: center coordinate on the Y axis
%  r: circle radius
%  c: color (RGB vector)
function circle(where,x,y,r,c)
    circ = 0 : pi/50 : 2*pi;
    xcirc = x + r * cos(circ);
    ycirc = y + r * sin(circ);
    fill(where,xcirc, ycirc, c);
end